<?php
session_start();
if (!$_SESSION['login']) {header("Location: ../index.php");}
require_once('../utilesphp/sql_oop.php'); //conexion a base de datos
include('../utilesphp/utiles.php');
include('../class/class.php');
include('../utilesphp/numaletras.php');
require('../fpdf/fpdf.php');
if (isset($_GET['Idfactura']) && $_GET['Idfactura']>0) {
	$qoc=$mysqli->query('SELECT * FROM facturas WHERE Idfactura="'.$_GET['Idfactura'].'"');
	$row_oc=$qoc->fetch_array();
} else {echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";}

//datos basicos de la orden de compra
$q_cliente=$mysqli->query('SELECT * FROM clientes WHERE Idcliente="'.$row_oc['Idcliente'].'"');
$row_cliente=$q_cliente->fetch_array();
$pdf = new FPDF('P','mm','letter');
$pdf->AddPage();
$pdf->SetLineWidth(0.2);

$titulo='N° 0000'.$row_oc['Idfactura'];
$x=20;
$y=50;
$w=$y;
$pdf->SetFont('Helvetica','',11);
$pdf->SetXY($x+125,$y-16);
$pdf->Cell('','',utf8_decode($titulo));

$anno=substr($row_oc['fecha'],0,4);
$mes=substr($row_oc['fecha'],5,2);
if ($mes==1) {$mesescrito='ENERO';}
if ($mes==2) {$mesescrito='FEBRERO';}
if ($mes==3) {$mesescrito='MARZO';}
if ($mes==4) {$mesescrito='ABRIL';}
if ($mes==5) {$mesescrito='MAYO';}
if ($mes==6) {$mesescrito='JUNIO';}
if ($mes==7) {$mesescrito='JULIO';}
if ($mes==8) {$mesescrito='AGOSTO';}
if ($mes==9) {$mesescrito='SEPTIEMBRE';}
if ($mes==10) {$mesescrito='OCTUBRE';}
if ($mes==11) {$mesescrito='NOVIEMBRE';}
if ($mes==12) {$mesescrito='DICIEMBRE';}
$dia=substr($row_oc['fecha'],8,2);

$pdf->SetXY($x+17,$y);
$pdf->Cell('','',utf8_decode($dia));
$pdf->SetXY($x+25,$y);
$pdf->Cell('','',utf8_decode($mesescrito));
$pdf->SetXY($x+62,$y);
$pdf->Cell('','',utf8_decode($anno));
$pdf->SetXY($x+20,$y+11);
$pdf->Cell('','',utf8_decode(strtoupper($row_cliente['razon'])));
$pdf->SetXY($x+137,$y+11);
$pdf->Cell('','',utf8_decode($row_cliente['rut']));
$pdf->SetXY($x+20,$y+19);
$pdf->Cell('','',utf8_decode(strtoupper($row_cliente['direccion'])));
$pdf->SetXY($x+20,$y+27);
$pdf->Cell('','',utf8_decode(strtoupper($row_cliente['ciudad'])));
$pdf->SetXY($x+75,$y+27);
$pdf->Cell('','',utf8_decode(strtoupper($row_cliente['giro'])));
$pdf->SetXY($x+134,$y+27);
$pdf->Cell('','',utf8_decode(strtoupper($row_cliente['telefono1'])));
$pdf->SetXY($x+62,$y+35);
$pdf->Cell('','',utf8_decode(strtoupper($row_cliente['ciudad'])));

$y=$y+56;


                   // para cada numero de turno hacemos el encabezado "turno" -->
$netototal=0;

$qep=$mysqli->query('SELECT * FROM ventas WHERE Idfactura="'.$_GET['Idfactura'].'"');
$row_qep=$qep->fetch_array();

$i=0;
do{
	$estaventa=new venta($mysqli,$row_qep['Idventa']);
	$i++;
	if ($i==$qep->num_rows) {$bordes='';}
	$pdf->SetXY($x+5,$y);
	$pdf->Cell('','',utf8_decode('1'),$bordes,'','',0);
	$pdf->SetXY($x+21,$y);
	$pdf->Cell('','',' '.utf8_decode(strtoupper('Segun guia de despacho N°'.$row_qep['ndoc'])),$bordes,'','',0);
	$pdf->SetXY($x+142,$y);
	$pdf->Cell('','',' '.utf8_decode(apesos($estaventa->totalventa())),$bordes,'','',0);
	$y=$y+7;
} while ($row_qep=$qep->fetch_array());
	$pdf->SetXY($x+21,$y);
	$pdf->Cell('','',' '.utf8_decode('-------------------------------------------------------'),$bordes,'','',0);

$totalfactura = $row_oc['total'];
$netofactura = $totalfactura/1.19;
$ivafactura= $totalfactura-$netofactura;

$pdf->SetXY($x+142,$w+160);
$pdf->Cell('','',' '.utf8_decode(apesos($netofactura)),'','','',0);
$pdf->SetXY($x+142,$w+166);
$pdf->Cell('','',' '.utf8_decode(apesos($ivafactura)),'','','',0);
$pdf->SetXY($x+142,$w+172);
$pdf->Cell('','',' '.utf8_decode(apesos($totalfactura)),'','','',0);
$pdf->SetXY($x+118,$w+166);
$pdf->Cell('','',' '.utf8_decode('19 %'),'','','',0);
$pdf->SetXY($x+9,$w+168);
$pdf->MultiCell('100','5',utf8_decode(strtoupper(num2letras($totalfactura,0,0).' PESOS -----')),'','','',0);

$pdf->Output();
